OpenShot Audio Library | OpenShotAudio: juce::FloatVectorOperations Class Reference

OpenShot Audio Library | OpenShotAudio 0.3.0

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
juce::FloatVectorOperations Class Reference

`#include <juce_FloatVectorOperations.h>`

## Static Public Member Functions
static void JUCE_CALLTYPE | clear (float *dest, int numValues) noexcept
static void JUCE_CALLTYPE | clear (double *dest, int numValues) noexcept
static void JUCE_CALLTYPE | fill (float *dest, float valueToFill, int numValues) noexcept
static void JUCE_CALLTYPE | fill (double *dest, double valueToFill, int numValues) noexcept
static void JUCE_CALLTYPE | copy (float *dest, const float *src, int numValues) noexcept
static void JUCE_CALLTYPE | copy (double *dest, const double *src, int numValues) noexcept
static void JUCE_CALLTYPE | copyWithMultiply (float *dest, const float *src, float multiplier, int numValues) noexcept
static void JUCE_CALLTYPE | copyWithMultiply (double *dest, const double *src, double multiplier, int numValues) noexcept
static void JUCE_CALLTYPE | add (float *dest, float amountToAdd, int numValues) noexcept
static void JUCE_CALLTYPE | add (double *dest, double amountToAdd, int numValues) noexcept
static void JUCE_CALLTYPE | add (float *dest, const float *src, float amount, int numValues) noexcept
static void JUCE_CALLTYPE | add (double *dest, const double *src, double amount, int numValues) noexcept
static void JUCE_CALLTYPE | add (float *dest, const float *src, int numValues) noexcept
static void JUCE_CALLTYPE | add (double *dest, const double *src, int numValues) noexcept
static void JUCE_CALLTYPE | add (float *dest, const float *src1, const float *src2, int num) noexcept
static void JUCE_CALLTYPE | add (double *dest, const double *src1, const double *src2, int num) noexcept
static void JUCE_CALLTYPE | subtract (float *dest, const float *src, int numValues) noexcept
static void JUCE_CALLTYPE | subtract (double *dest, const double *src, int numValues) noexcept
static void JUCE_CALLTYPE | subtract (float *dest, const float *src1, const float *src2, int num) noexcept
static void JUCE_CALLTYPE | subtract (double *dest, const double *src1, const double *src2, int num) noexcept
static void JUCE_CALLTYPE | addWithMultiply (float *dest, const float *src, float multiplier, int numValues) noexcept
static void JUCE_CALLTYPE | addWithMultiply (double *dest, const double *src, double multiplier, int numValues) noexcept
static void JUCE_CALLTYPE | addWithMultiply (float *dest, const float *src1, const float *src2, int num) noexcept
static void JUCE_CALLTYPE | addWithMultiply (double *dest, const double *src1, const double *src2, int num) noexcept
static void JUCE_CALLTYPE | subtractWithMultiply (float *dest, const float *src, float multiplier, int numValues) noexcept
static void JUCE_CALLTYPE | subtractWithMultiply (double *dest, const double *src, double multiplier, int numValues) noexcept
static void JUCE_CALLTYPE | subtractWithMultiply (float *dest, const float *src1, const float *src2, int num) noexcept
static void JUCE_CALLTYPE | subtractWithMultiply (double *dest, const double *src1, const double *src2, int num) noexcept
static void JUCE_CALLTYPE | multiply (float *dest, const float *src, int numValues) noexcept
static void JUCE_CALLTYPE | multiply (double *dest, const double *src, int numValues) noexcept
static void JUCE_CALLTYPE | multiply (float *dest, const float *src1, const float *src2, int numValues) noexcept
static void JUCE_CALLTYPE | multiply (double *dest, const double *src1, const double *src2, int numValues) noexcept
static void JUCE_CALLTYPE | multiply (float *dest, float multiplier, int numValues) noexcept
static void JUCE_CALLTYPE | multiply (double *dest, double multiplier, int numValues) noexcept
static void JUCE_CALLTYPE | multiply (float *dest, const float *src, float multiplier, int num) noexcept
static void JUCE_CALLTYPE | multiply (double *dest, const double *src, double multiplier, int num) noexcept
static void JUCE_CALLTYPE | negate (float *dest, const float *src, int numValues) noexcept
static void JUCE_CALLTYPE | negate (double *dest, const double *src, int numValues) noexcept
static void JUCE_CALLTYPE | abs (float *dest, const float *src, int numValues) noexcept
static void JUCE_CALLTYPE | abs (double *dest, const double *src, int numValues) noexcept
static void JUCE_CALLTYPE | convertFixedToFloat (float *dest, const int *src, float multiplier, int numValues) noexcept
static void JUCE_CALLTYPE | min (float *dest, const float *src, float comp, int num) noexcept
static void JUCE_CALLTYPE | min (double *dest, const double *src, double comp, int num) noexcept
static void JUCE_CALLTYPE | min (float *dest, const float *src1, const float *src2, int num) noexcept
static void JUCE_CALLTYPE | min (double *dest, const double *src1, const double *src2, int num) noexcept
static void JUCE_CALLTYPE | max (float *dest, const float *src, float comp, int num) noexcept
static void JUCE_CALLTYPE | max (double *dest, const double *src, double comp, int num) noexcept
static void JUCE_CALLTYPE | max (float *dest, const float *src1, const float *src2, int num) noexcept
static void JUCE_CALLTYPE | max (double *dest, const double *src1, const double *src2, int num) noexcept
static void JUCE_CALLTYPE | clip (float *dest, const float *src, float low, float high, int num) noexcept
static void JUCE_CALLTYPE | clip (double *dest, const double *src, double low, double high, int num) noexcept
static Range< float > JUCE_CALLTYPE | findMinAndMax (const float *src, int numValues) noexcept
static Range< double > JUCE_CALLTYPE | findMinAndMax (const double *src, int numValues) noexcept
static float JUCE_CALLTYPE | findMinimum (const float *src, int numValues) noexcept
static double JUCE_CALLTYPE | findMinimum (const double *src, int numValues) noexcept
static float JUCE_CALLTYPE | findMaximum (const float *src, int numValues) noexcept
static double JUCE_CALLTYPE | findMaximum (const double *src, int numValues) noexcept
static void JUCE_CALLTYPE | enableFlushToZeroMode (bool shouldEnable) noexcept
static void JUCE_CALLTYPE | disableDenormalisedNumberSupport (bool shouldDisable=true) noexcept
static bool JUCE_CALLTYPE | areDenormalsDisabled () noexcept

## Detailed Description

A collection of simple vector operations on arrays of floats, accelerated with SIMD instructions where possible.

Definition at line 42 of file juce_FloatVectorOperations.h.

## Member Function Documentation

## ◆ abs() [1/2]

void juce::FloatVectorOperations::abs | ( | double * | dest,
|  | const double * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Copies a source vector to a destination, taking the absolute of each value.

Definition at line 857 of file juce_FloatVectorOperations.cpp.

## ◆ abs() [2/2]

void juce::FloatVectorOperations::abs | ( | float * | dest,
|  | const float * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Copies a source vector to a destination, taking the absolute of each value.

Definition at line 842 of file juce_FloatVectorOperations.cpp.

## ◆ add() [1/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::add | ( | double * | dest,
|  | const double * | src,
|  | double | amount,
|  | int | numValues
| ) |  |
| staticnoexcept

Adds a fixed value to each source value and stores it in the destination array.

Definition at line 599 of file juce_FloatVectorOperations.cpp.

## ◆ add() [2/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::add | ( | double * | dest,
|  | const double * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Adds the source values to the destination values.

Definition at line 619 of file juce_FloatVectorOperations.cpp.

## ◆ add() [3/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::add | ( | double * | dest,
|  | const double * | src1,
|  | const double * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Adds each source1 value to the corresponding source2 value and stores the result in the destination array.

Definition at line 637 of file juce_FloatVectorOperations.cpp.

## ◆ add() [4/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::add | ( | double * | dest,
|  | double | amountToAdd,
|  | int | numValues
| ) |  |
| staticnoexcept

Adds a fixed value to the destination values.

Definition at line 582 of file juce_FloatVectorOperations.cpp.

## ◆ add() [5/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::add | ( | float * | dest,
|  | const float * | src,
|  | float | amount,
|  | int | numValues
| ) |  |
| staticnoexcept

Adds a fixed value to each source value and stores it in the destination array.

Definition at line 588 of file juce_FloatVectorOperations.cpp.

## ◆ add() [6/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::add | ( | float * | dest,
|  | const float * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Adds the source values to the destination values.

Definition at line 610 of file juce_FloatVectorOperations.cpp.

## ◆ add() [7/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::add | ( | float * | dest,
|  | const float * | src1,
|  | const float * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Adds each source1 value to the corresponding source2 value and stores the result in the destination array.

Definition at line 628 of file juce_FloatVectorOperations.cpp.

## ◆ add() [8/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::add | ( | float * | dest,
|  | float | amountToAdd,
|  | int | numValues
| ) |  |
| staticnoexcept

Adds a fixed value to the destination values.

Definition at line 572 of file juce_FloatVectorOperations.cpp.

Referenced by juce::AudioBuffer< Type >::addFrom(), juce::dsp::Bias< FloatType >::process(), and juce::dsp::ConvolutionEngine::processSamples().

## ◆ addWithMultiply() [1/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::addWithMultiply | ( | double * | dest,
|  | const double * | src,
|  | double | multiplier,
|  | int | numValues
| ) |  |
| staticnoexcept

Multiplies each source value by the given multiplier, then adds it to the destination value.

Definition at line 693 of file juce_FloatVectorOperations.cpp.

## ◆ addWithMultiply() [2/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::addWithMultiply | ( | double * | dest,
|  | const double * | src1,
|  | const double * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Multiplies each source1 value by the corresponding source2 value, then adds it to the destination value.

Definition at line 715 of file juce_FloatVectorOperations.cpp.

## ◆ addWithMultiply() [3/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::addWithMultiply | ( | float * | dest,
|  | const float * | src,
|  | float | multiplier,
|  | int | numValues
| ) |  |
| staticnoexcept

Multiplies each source value by the given multiplier, then adds it to the destination value.

Definition at line 682 of file juce_FloatVectorOperations.cpp.

Referenced by juce::AudioBuffer< Type >::addFrom(), and juce::dsp::ConvolutionEngine::convolutionProcessingAndAccumulate().

## ◆ addWithMultiply() [4/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::addWithMultiply | ( | float * | dest,
|  | const float * | src1,
|  | const float * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Multiplies each source1 value by the corresponding source2 value, then adds it to the destination value.

Definition at line 704 of file juce_FloatVectorOperations.cpp.

## ◆ areDenormalsDisabled()

bool JUCE_CALLTYPE juce::FloatVectorOperations::areDenormalsDisabled | ( |  | ) |
| staticnoexcept

This method returns true if denormals are currently disabled.

Definition at line 1106 of file juce_FloatVectorOperations.cpp.

## ◆ clear() [1/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::clear | ( | double * | dest,
|  | int | numValues
| ) |  |
| staticnoexcept

Clears a vector of doubles.

Definition at line 511 of file juce_FloatVectorOperations.cpp.

## ◆ clear() [2/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::clear | ( | float * | dest,
|  | int | numValues
| ) |  |
| staticnoexcept

Clears a vector of floats.

Definition at line 502 of file juce_FloatVectorOperations.cpp.

Referenced by juce::AudioBuffer< Type >::applyGain(), juce::AudioBuffer< Type >::clear(), juce::AudioBuffer< Type >::copyFrom(), and juce::BufferingAudioReader::readSamples().

## ◆ clip() [1/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::clip | ( | double * | dest,
|  | const double * | src,
|  | double | low,
|  | double | high,
|  | int | num
| ) |  |
| staticnoexcept

Each element of dest is calculated by hard clipping the corresponding src element so that it is in the range specified by the arguments low and high.

Definition at line 964 of file juce_FloatVectorOperations.cpp.

## ◆ clip() [2/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::clip | ( | float * | dest,
|  | const float * | src,
|  | float | low,
|  | float | high,
|  | int | num
| ) |  |
| staticnoexcept

Each element of dest is calculated by hard clipping the corresponding src element so that it is in the range specified by the arguments low and high.

Definition at line 951 of file juce_FloatVectorOperations.cpp.

## ◆ convertFixedToFloat()

void JUCE_CALLTYPE juce::FloatVectorOperations::convertFixedToFloat | ( | float * | dest,
|  | const int * | src,
|  | float | multiplier,
|  | int | numValues
| ) |  |
| staticnoexcept

Converts a stream of integers to floats, multiplying each one by the given multiplier.

Definition at line 873 of file juce_FloatVectorOperations.cpp.

Referenced by juce::AudioFormatWriter::writeFromAudioReader().

## ◆ copy() [1/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::copy | ( | double * | dest,
|  | const double * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Copies a vector of doubles.

Definition at line 545 of file juce_FloatVectorOperations.cpp.

## ◆ copy() [2/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::copy | ( | float * | dest,
|  | const float * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Copies a vector of floats.

Definition at line 540 of file juce_FloatVectorOperations.cpp.

Referenced by juce::AudioBuffer< Type >::addFrom(), juce::AudioBuffer< Type >::AudioBuffer(), juce::AudioBuffer< Type >::copyFrom(), juce::dsp::AudioBlock< SampleType >::copyTo(), juce::AudioBuffer< Type >::operator=(), juce::dsp::ConvolutionEngine::processSamples(), juce::BufferingAudioReader::readSamples(), and juce::AudioBuffer< Type >::setSize().

## ◆ copyWithMultiply() [1/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::copyWithMultiply | ( | double * | dest,
|  | const double * | src,
|  | double | multiplier,
|  | int | numValues
| ) |  |
| staticnoexcept

Copies a vector of doubles, multiplying each value by a given multiplier

Definition at line 561 of file juce_FloatVectorOperations.cpp.

## ◆ copyWithMultiply() [2/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::copyWithMultiply | ( | float * | dest,
|  | const float * | src,
|  | float | multiplier,
|  | int | numValues
| ) |  |
| staticnoexcept

Copies a vector of floats, multiplying each value by a given multiplier

Definition at line 550 of file juce_FloatVectorOperations.cpp.

Referenced by juce::AudioBuffer< Type >::addFrom(), and juce::AudioBuffer< Type >::copyFrom().

## ◆ disableDenormalisedNumberSupport()

void JUCE_CALLTYPE juce::FloatVectorOperations::disableDenormalisedNumberSupport | ( | bool | shouldDisable = `true` | ) |
| staticnoexcept

On Intel CPUs, this method enables the SSE flush-to-zero and denormalised-are-zero modes. This effectively sets the DAZ and FZ bits of the MXCSR register. On arm CPUs this will enable flush to zero mode. It's a convenient thing to call before audio processing code where you really want to avoid denormalisation performance hits.

Definition at line 1087 of file juce_FloatVectorOperations.cpp.

## ◆ enableFlushToZeroMode()

void JUCE_CALLTYPE juce::FloatVectorOperations::enableFlushToZeroMode | ( | bool | shouldEnable | ) |
| staticnoexcept

This method enables or disables the SSE/NEON flush-to-zero mode.

Definition at line 1070 of file juce_FloatVectorOperations.cpp.

## ◆ fill() [1/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::fill | ( | double * | dest,
|  | double | valueToFill,
|  | int | numValues
| ) |  |
| staticnoexcept

Copies a repeated value into a vector of doubles.

Definition at line 530 of file juce_FloatVectorOperations.cpp.

## ◆ fill() [2/2]

void JUCE_CALLTYPE juce::FloatVectorOperations::fill | ( | float * | dest,
|  | float | valueToFill,
|  | int | numValues
| ) |  |
| staticnoexcept

Copies a repeated value into a vector of floats.

Definition at line 520 of file juce_FloatVectorOperations.cpp.

Referenced by juce::dsp::ConvolutionEngine::processSamples().

## ◆ findMaximum() [1/2]

double JUCE_CALLTYPE juce::FloatVectorOperations::findMaximum | ( | const double * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Finds the maximum value in the given array.

Definition at line 1022 of file juce_FloatVectorOperations.cpp.

## ◆ findMaximum() [2/2]

float JUCE_CALLTYPE juce::FloatVectorOperations::findMaximum | ( | const float * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Finds the maximum value in the given array.

Definition at line 1013 of file juce_FloatVectorOperations.cpp.

## ◆ findMinAndMax() [1/2]

Range< double > JUCE_CALLTYPE juce::FloatVectorOperations::findMinAndMax | ( | const double * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Finds the minimum and maximum values in the given array.

Definition at line 986 of file juce_FloatVectorOperations.cpp.

## ◆ findMinAndMax() [2/2]

Range< float > JUCE_CALLTYPE juce::FloatVectorOperations::findMinAndMax | ( | const float * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Finds the minimum and maximum values in the given array.

Definition at line 977 of file juce_FloatVectorOperations.cpp.

Referenced by juce::dsp::AudioBlock< SampleType >::findMinAndMax(), juce::AudioBuffer< Type >::findMinMax(), and juce::AudioFormatReader::readMaxLevels().

## ◆ findMinimum() [1/2]

double JUCE_CALLTYPE juce::FloatVectorOperations::findMinimum | ( | const double * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Finds the minimum value in the given array.

Definition at line 1004 of file juce_FloatVectorOperations.cpp.

## ◆ findMinimum() [2/2]

float JUCE_CALLTYPE juce::FloatVectorOperations::findMinimum | ( | const float * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Finds the minimum value in the given array.

Definition at line 995 of file juce_FloatVectorOperations.cpp.

## ◆ max() [1/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::max | ( | double * | dest,
|  | const double * | src,
|  | double | comp,
|  | int | num
| ) |  |
| staticnoexcept

Each element of dest will be the maximum of the corresponding element of the source array and the given comp value.

Definition at line 926 of file juce_FloatVectorOperations.cpp.

## ◆ max() [2/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::max | ( | double * | dest,
|  | const double * | src1,
|  | const double * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Each element of dest will be the maximum of the corresponding source1 and source2 values.

Definition at line 942 of file juce_FloatVectorOperations.cpp.

## ◆ max() [3/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::max | ( | float * | dest,
|  | const float * | src,
|  | float | comp,
|  | int | num
| ) |  |
| staticnoexcept

Each element of dest will be the maximum of the corresponding element of the source array and the given comp value.

Definition at line 919 of file juce_FloatVectorOperations.cpp.

## ◆ max() [4/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::max | ( | float * | dest,
|  | const float * | src1,
|  | const float * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Each element of dest will be the maximum of the corresponding source1 and source2 values.

Definition at line 933 of file juce_FloatVectorOperations.cpp.

## ◆ min() [1/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::min | ( | double * | dest,
|  | const double * | src,
|  | double | comp,
|  | int | num
| ) |  |
| staticnoexcept

Each element of dest will be the minimum of the corresponding element of the source array and the given comp value.

Definition at line 894 of file juce_FloatVectorOperations.cpp.

## ◆ min() [2/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::min | ( | double * | dest,
|  | const double * | src1,
|  | const double * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Each element of dest will be the minimum of the corresponding source1 and source2 values.

Definition at line 910 of file juce_FloatVectorOperations.cpp.

## ◆ min() [3/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::min | ( | float * | dest,
|  | const float * | src,
|  | float | comp,
|  | int | num
| ) |  |
| staticnoexcept

Each element of dest will be the minimum of the corresponding element of the source array and the given comp value.

Definition at line 887 of file juce_FloatVectorOperations.cpp.

## ◆ min() [4/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::min | ( | float * | dest,
|  | const float * | src1,
|  | const float * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Each element of dest will be the minimum of the corresponding source1 and source2 values.

Definition at line 901 of file juce_FloatVectorOperations.cpp.

## ◆ multiply() [1/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::multiply | ( | double * | dest,
|  | const double * | src,
|  | double | multiplier,
|  | int | num
| ) |  |
| staticnoexcept

Multiplies each of the source values by a fixed multiplier and stores the result in the destination array.

Definition at line 817 of file juce_FloatVectorOperations.cpp.

## ◆ multiply() [2/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::multiply | ( | double * | dest,
|  | const double * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Multiplies the destination values by the source values.

Definition at line 763 of file juce_FloatVectorOperations.cpp.

## ◆ multiply() [3/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::multiply | ( | double * | dest,
|  | const double * | src1,
|  | const double * | src2,
|  | int | numValues
| ) |  |
| staticnoexcept

Multiplies each source1 value by the correspinding source2 value, then stores it in the destination array.

Definition at line 781 of file juce_FloatVectorOperations.cpp.

## ◆ multiply() [4/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::multiply | ( | double * | dest,
|  | double | multiplier,
|  | int | numValues
| ) |  |
| staticnoexcept

Multiplies each of the destination values by a fixed multiplier.

Definition at line 800 of file juce_FloatVectorOperations.cpp.

## ◆ multiply() [5/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::multiply | ( | float * | dest,
|  | const float * | src,
|  | float | multiplier,
|  | int | num
| ) |  |
| staticnoexcept

Multiplies each of the source values by a fixed multiplier and stores the result in the destination array.

Definition at line 810 of file juce_FloatVectorOperations.cpp.

## ◆ multiply() [6/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::multiply | ( | float * | dest,
|  | const float * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Multiplies the destination values by the source values.

Definition at line 754 of file juce_FloatVectorOperations.cpp.

Referenced by juce::SmoothedValueBase< SmoothedValueType >::applyGain(), juce::AudioBuffer< Type >::applyGain(), juce::dsp::WindowingFunction< FloatType >::fillWindowingTables(), juce::dsp::WindowingFunction< FloatType >::multiplyWithWindowingTable(), and juce::dsp::Gain< FloatType >::process().

## ◆ multiply() [7/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::multiply | ( | float * | dest,
|  | const float * | src1,
|  | const float * | src2,
|  | int | numValues
| ) |  |
| staticnoexcept

Multiplies each source1 value by the correspinding source2 value, then stores it in the destination array.

Definition at line 772 of file juce_FloatVectorOperations.cpp.

## ◆ multiply() [8/8]

void JUCE_CALLTYPE juce::FloatVectorOperations::multiply | ( | float * | dest,
|  | float | multiplier,
|  | int | numValues
| ) |  |
| staticnoexcept

Multiplies each of the destination values by a fixed multiplier.

Definition at line 790 of file juce_FloatVectorOperations.cpp.

## ◆ negate() [1/2]

void juce::FloatVectorOperations::negate | ( | double * | dest,
|  | const double * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Copies a source vector to a destination, negating each value.

Definition at line 833 of file juce_FloatVectorOperations.cpp.

## ◆ negate() [2/2]

void juce::FloatVectorOperations::negate | ( | float * | dest,
|  | const float * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Copies a source vector to a destination, negating each value.

Definition at line 824 of file juce_FloatVectorOperations.cpp.

## ◆ subtract() [1/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::subtract | ( | double * | dest,
|  | const double * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Subtracts the source values from the destination values.

Definition at line 655 of file juce_FloatVectorOperations.cpp.

## ◆ subtract() [2/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::subtract | ( | double * | dest,
|  | const double * | src1,
|  | const double * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Subtracts each source2 value from the corresponding source1 value and stores the result in the destination array.

Definition at line 673 of file juce_FloatVectorOperations.cpp.

## ◆ subtract() [3/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::subtract | ( | float * | dest,
|  | const float * | src,
|  | int | numValues
| ) |  |
| staticnoexcept

Subtracts the source values from the destination values.

Definition at line 646 of file juce_FloatVectorOperations.cpp.

## ◆ subtract() [4/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::subtract | ( | float * | dest,
|  | const float * | src1,
|  | const float * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Subtracts each source2 value from the corresponding source1 value and stores the result in the destination array.

Definition at line 664 of file juce_FloatVectorOperations.cpp.

## ◆ subtractWithMultiply() [1/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::subtractWithMultiply | ( | double * | dest,
|  | const double * | src,
|  | double | multiplier,
|  | int | numValues
| ) |  |
| staticnoexcept

Multiplies each source value by the given multiplier, then subtracts it to the destination value.

Definition at line 733 of file juce_FloatVectorOperations.cpp.

## ◆ subtractWithMultiply() [2/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::subtractWithMultiply | ( | double * | dest,
|  | const double * | src1,
|  | const double * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Multiplies each source1 value by the corresponding source2 value, then subtracts it to the destination value.

Definition at line 747 of file juce_FloatVectorOperations.cpp.

## ◆ subtractWithMultiply() [3/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::subtractWithMultiply | ( | float * | dest,
|  | const float * | src,
|  | float | multiplier,
|  | int | numValues
| ) |  |
| staticnoexcept

Multiplies each source value by the given multiplier, then subtracts it to the destination value.

Definition at line 726 of file juce_FloatVectorOperations.cpp.

Referenced by juce::dsp::ConvolutionEngine::convolutionProcessingAndAccumulate().

## ◆ subtractWithMultiply() [4/4]

void JUCE_CALLTYPE juce::FloatVectorOperations::subtractWithMultiply | ( | float * | dest,
|  | const float * | src1,
|  | const float * | src2,
|  | int | num
| ) |  |
| staticnoexcept

Multiplies each source1 value by the corresponding source2 value, then subtracts it to the destination value.

Definition at line 740 of file juce_FloatVectorOperations.cpp.

The documentation for this class was generated from the following files:

- juce_FloatVectorOperations.h
- juce_FloatVectorOperations.cpp